/* 
 * This file part of gsopcast - A gtk front-end of p2p tv sopcast.
 * http://gsopcast.googlecode.com
 * Copyright (C) 2008 Ha Shao <hashao2@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef UNIQUE_H
#define UNIQUE_H

#define unique_clipboard_name "_gsopcast_unique_clipboard"

GtkClipboard* get_unique_clip();
void setup_unique(void);
gboolean is_running();
void unique_set_text(const gchar *text, gboolean store);
void unique_paste_uri(const gchar *text);

#endif
